/* eslint-disable react/jsx-props-no-spreading */
/* eslint-disable import/no-extraneous-dependencies */
import { LocaleProvider } from '@arcblock/ux/lib/Locale/context';
import { translations } from './locales';
import { jsx as _jsx } from "react/jsx-runtime";
export default function wrapLocale(Component) {
  return function LocaleWrapper(props) {
    return /*#__PURE__*/_jsx(LocaleProvider, {
      translations: translations,
      children: /*#__PURE__*/_jsx(Component, {
        ...props
      })
    });
  };
}